2.1.0 (latest) 2.0.0 1.1.0 1.0.0

    public sealed class ExampleQuery : IMessage<ExampleQuery>, IEquatable<ExampleQuery>, IDeepCloneable<ExampleQuery>, IBufferMessage, IMessage

Reference documentation and code samples for the Data Analytics API with Gemini v1 API class ExampleQuery.

Example of relevant and commonly used SQL query and its corresponding natural
language queries optionally present. Currently only used for BigQuery data
sources.

## Inheritance

[object](https://learn.microsoft.com/dotnet/api/system.object) \> ExampleQuery

## Implements

[IMessage](https://cloud.google.com/dotnet/docs/reference/Google.Protobuf/latest/Google.Protobuf.IMessage-1.html)[ExampleQuery](https://docs.cloud.google.com/dotnet/docs/reference/Google.Cloud.GeminiDataAnalytics.V1/latest/Google.Cloud.GeminiDataAnalytics.V1.ExampleQuery), [IEquatable](https://learn.microsoft.com/dotnet/api/system.iequatable-1)[ExampleQuery](https://docs.cloud.google.com/dotnet/docs/reference/Google.Cloud.GeminiDataAnalytics.V1/latest/Google.Cloud.GeminiDataAnalytics.V1.ExampleQuery), [IDeepCloneable](https://cloud.google.com/dotnet/docs/reference/Google.Protobuf/latest/Google.Protobuf.IDeepCloneable-1.html)[ExampleQuery](https://docs.cloud.google.com/dotnet/docs/reference/Google.Cloud.GeminiDataAnalytics.V1/latest/Google.Cloud.GeminiDataAnalytics.V1.ExampleQuery), [IBufferMessage](https://cloud.google.com/dotnet/docs/reference/Google.Protobuf/latest/Google.Protobuf.IBufferMessage.html), [IMessage](https://cloud.google.com/dotnet/docs/reference/Google.Protobuf/latest/Google.Protobuf.IMessage.html)

## Inherited Members

[object.GetHashCode()](https://learn.microsoft.com/dotnet/api/system.object.gethashcode) [object.GetType()](https://learn.microsoft.com/dotnet/api/system.object.gettype) [object.ToString()](https://learn.microsoft.com/dotnet/api/system.object.tostring)

## Namespace

[Google.Cloud.GeminiDataAnalytics.V1](https://docs.cloud.google.com/dotnet/docs/reference/Google.Cloud.GeminiDataAnalytics.V1/latest/Google.Cloud.GeminiDataAnalytics.V1)

## Assembly

Google.Cloud.GeminiDataAnalytics.V1.dll

## Constructors

### ExampleQuery()

    public ExampleQuery()

### ExampleQuery(ExampleQuery)

    public ExampleQuery(ExampleQuery other)

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `other` | `https://docs.cloud.google.com/dotnet/docs/reference/Google.Cloud.GeminiDataAnalytics.V1/latest/Google.Cloud.GeminiDataAnalytics.V1.ExampleQuery` |

## Properties

### HasSqlQuery

    public bool HasSqlQuery { get; }

Gets whether the "sql_query" field is set

| **Property Value** ||
|---|---|
| **Type** | **Description** |
| `https://learn.microsoft.com/dotnet/api/system.boolean` |   |

### NaturalLanguageQuestion

    public string NaturalLanguageQuestion { get; set; }

Optional. A natural language question that a user might ask.
For example: "How many orders were placed last month?"

Must be at most 2,000 bytes (approx. 2,000 characters).

| **Property Value** ||
|---|---|
| **Type** | **Description** |
| `https://learn.microsoft.com/dotnet/api/system.string` |   |

### Parameters

    public RepeatedField<QueryParameter> Parameters { get; }

Optional. The list of query parameters.
Example: The parameterized SQL query
"SELECT \* FROM my_table WHERE id = @id" can be matched with any value of
id.

| **Property Value** ||
|---|---|
| **Type** | **Description** |
| `https://cloud.google.com/dotnet/docs/reference/Google.Protobuf/latest/Google.Protobuf.Collections.RepeatedField-1.htmlhttps://docs.cloud.google.com/dotnet/docs/reference/Google.Cloud.GeminiDataAnalytics.V1/latest/Google.Cloud.GeminiDataAnalytics.V1.QueryParameter` |   |

### QueryCase

    public ExampleQuery.QueryOneofCase QueryCase { get; }

| **Property Value** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/dotnet/docs/reference/Google.Cloud.GeminiDataAnalytics.V1/latest/Google.Cloud.GeminiDataAnalytics.V1.ExampleQueryhttps://docs.cloud.google.com/dotnet/docs/reference/Google.Cloud.GeminiDataAnalytics.V1/latest/Google.Cloud.GeminiDataAnalytics.V1.ExampleQuery.QueryOneofCase` |   |

### SqlQuery

    public string SqlQuery { get; set; }

Optional. The SQL query that should be generated to answer the natural
language question. For example: "SELECT COUNT(\*) FROM orders WHERE
order_date BETWEEN '2024-01-01' AND '2024-01-31'"

Must be at most 50,000 bytes (approx. 50,000 characters).

| **Property Value** ||
|---|---|
| **Type** | **Description** |
| `https://learn.microsoft.com/dotnet/api/system.string` |   |